Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.view.actions
Class DefaultDisplayAction

    java.lang.Object
      javax.swing.AbstractAction
          org.flexdock.view.actions.ViewAction
              org.flexdock.view.actions.DefaultDisplayAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class DefaultDisplayAction

extends ViewAction

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.flexdock.view.actions.ViewAction
`EMPTY_ACTION, viewId`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`DefaultDisplayAction()`
`DefaultDisplayAction(String viewId)`

Method Summary
`void` | `actionPerformed(View view, ActionEvent evt)`

Methods inherited from class org.flexdock.view.actions.ViewAction
`actionPerformed, createButtonModel, getView, getViewId, setViewId`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDisplayAction

    public DefaultDisplayAction()

### DefaultDisplayAction

    public DefaultDisplayAction(String viewId)

Method Detail

### actionPerformed

    public void actionPerformed(View view,
                                ActionEvent evt)

  Specified by:
    `actionPerformed` in class `ViewAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD